Generate portal access
Generate a short-lived portal access token and URL for an application's customer.
POST
/applications/{appId}/portal-access
Generate a short-lived portal access token and URL for an application's customer.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
appId
string
required
path
Application ID
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Portal access credentials
application/jsontoken
string
REQUIRED
Portal JWT token (1hr)
url
string
REQUIRED
Full portal URL
expires_in
number
REQUIRED
application
object
REQUIRED
id
string
REQUIRED
name
string
REQUIRED
401
Unauthorized
404
Application not found
curl -X POST 'https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/portal-access' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/portal-access', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/portal-access', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("POST", "https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/portal-access", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "token": "<string>", "url": "<string>", "expires_in": 3600, "application": { "id": "<string>", "name": "<string>" }}
API Playground
Try this endpoint
POST
/applications/{appId}/portal-access